For a complete page index, fetch https://developer.close.com/llms.txt

# List Blocked Phone Numbers

GET https://api.close.com/api/v1/blocked_phone_number/

Reference: https://developer.close.com/api/resources/blocked-phone-numbers/list

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /blocked_phone_number/:
    get:
      operationId: list
      summary: List Blocked Phone Numbers
      tags:
        - subpackage_blockedPhoneNumbers
      parameters:
        - name: _limit
          in: query
          description: Number of results to return.
          required: false
          schema:
            type: integer
            default: 100
        - name: _skip
          in: query
          description: Number of results to skip before returning, for pagination.
          required: false
          schema:
            type: integer
            default: 0
        - name: _fields
          in: query
          description: Comma-separated list of fields to include in the response.
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/blocked_phone_numbers_list_Response_200'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    BlockedPhoneNumber:
      type: object
      properties:
        created_by:
          type: string
          description: User who created this Blocked Number initially.
        date_created:
          type: string
          format: date-time
          description: When this Blocked Number was created.
        date_updated:
          type: string
          format: date-time
          description: When this Blocked Number was last updated.
        id:
          type: string
        organization_id:
          type: string
        phone:
          type: string
          description: The phone number (in E.164 format) to block.
        reason:
          type: string
          description: The reason for blocking the given phone number.
        updated_by:
          type: string
          description: User who most recently updated this Blocked Number.
      required:
        - created_by
        - date_created
        - date_updated
        - id
        - organization_id
        - phone
        - reason
        - updated_by
      title: BlockedPhoneNumber
    blocked_phone_numbers_list_Response_200:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/BlockedPhoneNumber'
        has_more:
          type: boolean
      required:
        - data
        - has_more
      title: blocked_phone_numbers_list_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python blocked_phone_numbers_list_example
import requests

url = "https://api.close.com/api/v1/blocked_phone_number/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript blocked_phone_numbers_list_example
const url = 'https://api.close.com/api/v1/blocked_phone_number/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go blocked_phone_numbers_list_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/blocked_phone_number/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby blocked_phone_numbers_list_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/blocked_phone_number/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java blocked_phone_numbers_list_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/blocked_phone_number/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php blocked_phone_numbers_list_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/blocked_phone_number/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp blocked_phone_numbers_list_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/blocked_phone_number/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```